import { Dispatch, SetStateAction } from 'react';
interface UseDayPickerProps {
    value: Date;
    onChange: (date: Date) => void;
    preSelectionDate?: Date;
    setPreSelectionDate?: Dispatch<SetStateAction<Date>>;
    minDate?: Date;
    maxDate?: Date;
}
declare const useDayPicker: (props: UseDayPickerProps) => {
    daysOnCalendar: Date[];
    prevDisabled: boolean;
    nextDisabled: boolean;
    decrementMonth: () => void;
    incrementMonth: () => void;
    selectDate: (date: Date) => void;
    preSelectionDate: Date;
    isSameDateAsSelected: (date: Date) => boolean;
    isGreaterThanMaxDate: (date: Date) => boolean;
    isLessThanMinDate: (date: Date) => boolean;
    isSameMonthAsView: (date: Date) => boolean;
};
export default useDayPicker;
